Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046224
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Lottery Code - Italymajoralways2021-04-07 15:492021-04-15 09:18
ReporterucarrionView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046224: Unexpected lottery popup displayed when transitioning from SCO

DescriptionThe lottery popup is unexpectedly displayed if a user goes from SCO to Webpos being on the payment selection screen. In fact, the lottery screen has been already skipped so there's no way to show it again.

In addition, once the lottery popup is closed in Webpos, the till is blocked and there's no way to continue until pressing F5.
Steps To Reproduce-Login SCO till
-Add a product
-Finish and pay
-Skip the lottery screen
-Skip the loyalty proposal screen
-Once in the payment selection screen, go to webpos
-Once in webpos, check that the lottery popup is displayed, skip it
-Check that the till in blocked and there's no way to continue if F5 is not pressed
Proposed SolutionThe lottery popup should not be displayed when transitioning to Webpos as it has been skipped during the flow in SCO.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0127281)
hgbot (developer)
2021-04-14 23:41

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.lotterycode/-/merge_requests/5 [^]
(0127285)
hgbot (developer)
2021-04-15 09:18

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.lotterycode [^]
Changeset: 45f7dc4b7f93647bb9dafcb2fa2391f0b4d486f8
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-04-14T13:16:07-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.lotterycode/-/commit/45f7dc4b7f93647bb9dafcb2fa2391f0b4d486f8 [^]

Fixed BUG-46224: Forced call to final hook when we navigate to POS from Selfcheckout

---
M web/org.openbravo.retail.lotterycode/js/hooks/oblotc-prepaymenthook.js
---
(0127286)
hgbot (developer)
2021-04-15 09:18

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.lotterycode/-/merge_requests/5 [^]

- Issue History
Date Modified Username Field Change
2021-04-07 15:49 ucarrion New Issue
2021-04-07 15:49 ucarrion Triggers an Emergency Pack => No
2021-04-07 15:49 ucarrion Assigned To => Retail
2021-04-07 16:41 ucarrion Assigned To Retail => psanjuan
2021-04-12 10:00 psanjuan Category RT-Server => Lottery Code - Italy
2021-04-12 10:40 psanjuan Assigned To psanjuan => Retail
2021-04-13 20:01 rqueralta Assigned To Retail => rqueralta
2021-04-13 20:01 rqueralta Status new => scheduled
2021-04-14 23:41 hgbot Note Added: 0127281
2021-04-15 09:18 hgbot Resolution open => fixed
2021-04-15 09:18 hgbot Status scheduled => closed
2021-04-15 09:18 hgbot Note Added: 0127285
2021-04-15 09:18 hgbot Note Added: 0127286


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker